require_relative 'student'
require_relative 'student_short'

begin
    student_string = "Норакет Норакет Норакет | ID: 2 | Phone: +1234567890 | Telegram: @noracat | Email: nora@example.com | Git: https://github.com/nora"
    student_from_string = Student.from_string(student_string)
    puts "Создан объект из строки:\n#{student_from_string}"


    student1 = Student.new(
        surname: 'Алексеевич',
        name: 'Артем-Дариус',
        patronymic: 'Вебер',
        id: 1,
        git: 'https://github.com/space-creator'
    )

    student1.set_contacts(
        phone: '+79891242223',
        telegram: '@alstroemeria22',
        email: 'no-replay@djft.ru'
    )

    puts student1.get_info
    puts "Surname and Initials: #{student1.surname_and_initials}"
    puts "Git Info: #{student1.git_info}"
    puts "Contact Info: #{student1.contact_info}"

    student2 = Student.new(
        surname: 'Норакет',
        name: 'Норакет',
        patronymic: 'Фамилия'
    )

    student2.set_contacts(
        phone: '+70000000000'
    )

    puts student1
    puts '-' * 40
    puts student2


    student_short_from_student = StudentShort.new(student1)
    puts "StudentShort from Student object:"
    puts "ID: #{student_short_from_student.id}"
    puts "Surname and Initials: #{student_short_from_student.surname_initials}"
    puts "Git: #{student_short_from_student.git}"
    puts "Contact: #{student_short_from_student.contact}"

    student_short_from_string = StudentShort.from_string(5, 'Skye A.A., Git: https://github.com/skye, Contact: Phone: +4923467890')
    puts "StudentShort from string:"
    puts "ID: #{student_short_from_string.id}"
    puts "Surname and Initials: #{student_short_from_string.surname_initials}"
    puts "Git: #{student_short_from_string.git}"
    puts "Contact: #{student_short_from_string.contact}"
rescue ArgumentError => e
  puts "Ошибка: #{e.message}"
end
